MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029915Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-06-29 18:142018-08-06 17:03
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformMicrosoft Visual Studio 2017OSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029915: Porting to VC 2017 : Regressions in Modeling Algorithms on VC 2017
DescriptionSource: http://jenkins-test-12.nnov.opencascade.com/view/JT-12/ [^]

Test cases:
blend buildevol G1
bugs modalg_7 bug28764
Steps To Reproduceblend buildevol G1
bugs modalg_7 bug28764
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0030019closedmnv Documentation - warning in dox upgrade.md file 
related to 0030015verifiedapn Documentation - Correct warning in OCCT documentation 
child of 0029912assignedbugmaster Implementation of jenkins-test-12 with VC 2017 

-  Notes
(0077306)
msv (developer)
2018-07-06 10:50

Dear Julia,
Please fix the crash of buildevol, and update the test case bug28764 so as it was OK on all platforms.
(0077758)
git (administrator)
2018-07-17 21:17

Branch CR29915 has been created by jgv.

SHA-1: 91332b0ca4286eeb6b238f0300f8ec63e79e5c32


Detailed log of new commits:

Author: jgv
Date: Tue Jul 17 21:16:35 2018 +0300

    Temporary solution
(0078042)
git (administrator)
2018-07-26 16:51

Branch CR29915_1 has been created by jgv.

SHA-1: 58815e037341dbbc40a16e85d0bb921e8e335c22


Detailed log of new commits:

Author: jgv
Date: Thu Jul 26 16:45:06 2018 +0300

    0029915: Porting to VC 2017 : Regressions in Modeling Algorithms on VC 2017
    
    Methods GeomConvert::ConcatG1, GeomConvert::ConcatC1, Geom2dConvert::ConcatG1, Geom2dConvert::ConcatC1 are corrected to prevent exceeding maximum degree of BSpline curve in case of closed contour.

Author: jgv
Date: Tue Jul 17 21:16:35 2018 +0300

    Temporary solution
(0078043)
git (administrator)
2018-07-26 16:53

Branch CR29915_1 has been updated forcibly by jgv.

SHA-1: c1baa082d436298d9406ce18ec546e4c8dd7c634
(0078105)
git (administrator)
2018-07-27 16:17

Branch CR29915_1 has been updated by jgv.

SHA-1: 4bb94ec1340fee29e8a87a96fca1cdf0aab358a2


Detailed log of new commits:

Author: jgv
Date: Fri Jul 27 16:15:46 2018 +0300

    Correction of test case

(0078106)
git (administrator)
2018-07-27 16:19

Branch CR29915_1 has been updated forcibly by jgv.

SHA-1: 0b1e1e33f9daba66af9d520f96129d68705522a4
(0078112)
msv (developer)
2018-07-27 17:41

Please describe in upgrade guide the changes in public API affecting porting to the new version.
(0078230)
git (administrator)
2018-07-31 14:01

Branch CR29915_2 has been created by jgv.

SHA-1: b514604542395b0d9cbac1cda2e630b6f0ce8237


Detailed log of new commits:

Author: jgv
Date: Tue Jul 31 13:59:44 2018 +0300

    Changes in upgrade guide

Author: jgv
Date: Tue Jul 17 21:16:35 2018 +0300

    0029915: Porting to VC 2017 : Regressions in Modeling Algorithms on VC 2017
    
    Methods GeomConvert::ConcatG1, GeomConvert::ConcatC1, Geom2dConvert::ConcatG1, Geom2dConvert::ConcatC1 are corrected to prevent exceeding maximum degree of BSpline curve in case of closed contour.
(0078231)
git (administrator)
2018-07-31 14:07

Branch CR29915_2 has been updated forcibly by jgv.

SHA-1: fc27ee251ca0a2d26b808ab0b6bdb4e67f5aefa6
(0078238)
jgv (developer)
2018-07-31 15:43

Please review the branch CR29915_2.
(0078240)
git (administrator)
2018-07-31 16:44

Branch CR29915_2 has been updated by jgv.

SHA-1: d64eee378fe6b5952004844a6791ebdcd863bfb7


Detailed log of new commits:

Author: jgv
Date: Tue Jul 31 16:42:33 2018 +0300

    Correction of comments

(0078241)
git (administrator)
2018-07-31 16:45

Branch CR29915_2 has been updated forcibly by jgv.

SHA-1: ddaff1c75868162e2c2b385e7a232cb7a2fc00d2
(0078243)
jgv (developer)
2018-07-31 16:55

Please review updated branch.
(0078244)
msv (developer)
2018-07-31 17:01

Reviewed.
(0078251)
bugmaster (administrator)
2018-07-31 19:15

Combination -
OCCT branch : CR29915_2 SHA - ddaff1c75868162e2c2b385e7a232cb7a2fc00d2
Products branch : master SHA - 97b66d6e660c8b607e4ccc173c338a77607ffd43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17688.740000000045 / 17494.89999999983 [+1.11%]
Products
Total CPU difference: 7411.6400000000285 / 7448.560000000025 [-0.50%]
Windows-64-VC10:
OCCT
Total CPU difference: 17531.93838349851 / 17528.038358498525 [+0.02%]
Products
Total CPU difference: 8169.413567699874 / 8169.694369499867 [-0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078260)
git (administrator)
2018-08-01 12:32

Branch CR29915_2 has been updated by msv.

SHA-1: 6d50c4a0972377bfb035146f432c1b34891077df


Detailed log of new commits:

Author: msv
Date: Wed Aug 1 12:30:31 2018 +0300

    # warning is removed

(0078380)
git (administrator)
2018-08-04 17:09

Branch CR29915_2 has been deleted by inv.

SHA-1: 6d50c4a0972377bfb035146f432c1b34891077df
(0078387)
git (administrator)
2018-08-04 17:09

Branch CR29915_1 has been deleted by inv.

SHA-1: 0b1e1e33f9daba66af9d520f96129d68705522a4
(0078398)
git (administrator)
2018-08-04 17:09

Branch CR29915 has been deleted by inv.

SHA-1: 91332b0ca4286eeb6b238f0300f8ec63e79e5c32

- Related Changesets
occt: master 4a361058
Timestamp: 2018-07-17 18:16:35
Author: jgv
Committer: bugmaster
Details ] Diff ]
0029915: Porting to VC 2017 : Regressions in Modeling Algorithms on VC 2017

Methods GeomConvert::ConcatG1, GeomConvert::ConcatC1, Geom2dConvert::ConcatG1, Geom2dConvert::ConcatC1 are corrected to prevent exceeding maximum degree of BSpline curve in case of closed contour.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert.hxx Diff ] File ]
mod - src/GeomConvert/GeomConvert.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - tests/bugs/modalg_7/bug28764 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-29 18:14 bugmaster New Issue
2018-06-29 18:14 bugmaster Assigned To => msv
2018-06-29 18:15 bugmaster Status new => assigned
2018-06-29 18:15 bugmaster Relationship added parent of 0029912
2018-06-29 18:16 bugmaster Summary 0029910: Regressions in Modeling Algorithms on VC 2017 => Regressions in Modeling Algorithms on VC 2017
2018-06-29 18:18 bugmaster Relationship deleted parent of 0029912
2018-06-29 18:18 bugmaster Relationship added child of 0029912
2018-06-29 18:27 bugmaster Description Updated View Revisions
2018-07-05 12:18 bugmaster Summary Regressions in Modeling Algorithms on VC 2017 => Porting to Debian80-64 : Regressions in Modeling Algorithms on VC 2017
2018-07-05 12:28 bugmaster Summary Porting to Debian80-64 : Regressions in Modeling Algorithms on VC 2017 => Porting to VC 2017 : Regressions in Modeling Algorithms on VC 2017
2018-07-06 10:50 msv Note Added: 0077306
2018-07-06 10:50 msv Assigned To msv => jgv
2018-07-17 21:17 git Note Added: 0077758
2018-07-26 16:51 git Note Added: 0078042
2018-07-26 16:53 git Note Added: 0078043
2018-07-27 16:17 git Note Added: 0078105
2018-07-27 16:19 git Note Added: 0078106
2018-07-27 16:50 jgv Assigned To jgv => msv
2018-07-27 16:50 jgv Status assigned => resolved
2018-07-27 16:50 jgv Steps to Reproduce Updated View Revisions
2018-07-27 17:41 msv Note Added: 0078112
2018-07-27 17:41 msv Assigned To msv => jgv
2018-07-27 17:41 msv Status resolved => assigned
2018-07-31 14:01 git Note Added: 0078230
2018-07-31 14:07 git Note Added: 0078231
2018-07-31 15:43 jgv Note Added: 0078238
2018-07-31 15:43 jgv Assigned To jgv => msv
2018-07-31 15:43 jgv Status assigned => resolved
2018-07-31 15:43 jgv Steps to Reproduce Updated View Revisions
2018-07-31 16:44 git Note Added: 0078240
2018-07-31 16:45 git Note Added: 0078241
2018-07-31 16:55 jgv Note Added: 0078243
2018-07-31 17:01 msv Note Added: 0078244
2018-07-31 17:01 msv Assigned To msv => bugmaster
2018-07-31 17:01 msv Status resolved => reviewed
2018-07-31 19:15 bugmaster Note Added: 0078251
2018-07-31 19:15 bugmaster Status reviewed => tested
2018-07-31 19:15 bugmaster Test case number => Not needed
2018-08-01 12:32 git Note Added: 0078260
2018-08-04 16:51 bugmaster Changeset attached => occt master 4a361058
2018-08-04 16:51 bugmaster Status tested => verified
2018-08-04 16:51 bugmaster Resolution open => fixed
2018-08-04 17:09 git Note Added: 0078380
2018-08-04 17:09 git Note Added: 0078387
2018-08-04 17:09 git Note Added: 0078398
2018-08-06 16:40 mnv Relationship added related to 0030019
2018-08-06 17:03 apn Relationship added related to 0030015


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker